# cs_util package

Utility library for CosmoStat

| Usage | Development | Release |
| ----- | ----------- | ------- |
| [![docs](https://img.shields.io/badge/docs-Sphinx-blue)](https://martinkilbinger.github.io/cs_util/) | [![build](https://github.com/martinkilbinger/cs_util/workflows/CI/badge.svg)](https://github.com/martinkilbinger/cs_util/actions?query=workflow%3ACI) | [![release](https://img.shields.io/github/v/release/martinkilbinger/cs_util)](https://github.com/martinkilbinger/cs_util/releases/latest) |
| [![license](https://img.shields.io/github/license/martinkilbinger/cs_util)](https://github.com/martinkilbinger/cs_util/blob/master/LICENCE.txt) | [![deploy](https://github.com/martinkilbinger/cs_util/workflows/CD/badge.svg)](https://github.com/martinkilbinger/cs_util/actions?query=workflow%3ACD) | [![pypi](https://img.shields.io/pypi/v/cs_util)](https://pypi.org/project/cs_util/) |
| [![wemake-python-styleguide](https://img.shields.io/badge/style-wemake-000000.svg)](https://github.com/wemake-services/wemake-python-styleguide) | [![codecov](https://codecov.io/gh/martinkilbinger/cs_util/branch/master/graph/badge.svg?token=XHJIQXV7AX)](https://codecov.io/gh/martinkilbinger/cs_util) | [![python](https://img.shields.io/pypi/pyversions/cs_util)](https://www.python.org/downloads/source/) |
| [![contribute](https://img.shields.io/badge/contribute-read-lightgrey)](https://github.com/martinkilbinger/cs_util/blob/master/CONTRIBUTING.md) | [![CodeFactor](https://www.codefactor.io/repository/github/martinkilbinger/cs_util/badge)](https://www.codefactor.io/repository/github/martinkilbinger/cs_util) | |
| [![coc](https://img.shields.io/badge/conduct-read-lightgrey)](https://github.com/martinkilbinger/cs_util/blob/master/CODE_OF_CONDUCT.md) | [![Updates](https://pyup.io/repos/github/martinkilbinger/cs_util/shield.svg)](https://pyup.io/repos/github/martinkilbinger/cs_util/) | |

---
> Author: <a href="www.cosmostat.org/people/kilbinger/" target="_blank" style="text-decoration:none; color: #F08080">Martin Kilbinger</a>  
> Email: <a href="mailto:martin.kilbinger@cea.fr" style="text-decoration:none; color: #F08080">martin.kilbinger@cea.fr</a>  
> Year: 2022  
---



## Contents

### Library

- Galaxy catalogue handling
- Weak-lensing related cosmological quantities (e.g. surface mass density)
- VOS (Virtual Observatory Software)
- Command line logging
- Plotting
- Basic statistic calculations
- UNIONS/CFIS weak-lensing survey handling
